diff --git a/scripts/.local/bin/brightness b/scripts/.local/bin/brightness
new file mode 100755
index 0000000000000000000000000000000000000000..d727cc001c1112444a06ec0114076d8c9fd779af
--- /dev/null
+++ b/scripts/.local/bin/brightness
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+STEP=5
+
+case $1 in
+ up) light -A "$STEP" ;;
+ down) light -U "$STEP" ;;
+esac
+
+if [ -x "$(command -v dunstify)" ]; then
+ notifier="dunstify -r 5555"
+else
+ [ ! -x "$(command -v notify-send)" ] && echo "Install libnotify!" && exit 1
+ notifier="notify-send"
+fi
+
+brightness=$(light | cut -d '.' -f1)
+# https://en.wikipedia.org/wiki/Box-drawing_character
+bar=$(printf '%0.s─' $(seq $((brightness / 5))))
+
+$notifier -t 1000 -i nothing " $bar $brightness%"
diff --git a/scripts/.local/bin/vol b/scripts/.local/bin/vol
new file mode 100755
index 0000000000000000000000000000000000000000..70d0486286371157168c4cc5b5d0e1068451b583
--- /dev/null
+++ b/scripts/.local/bin/vol
@@ -0,0 +1,47 @@
+#!/bin/bash
+
+# You can call this script like this:
+# $./volume.sh up
+# $./volume.sh down
+# $./volume.sh mute
+
+function get_volume {
+ pamixer --get-volume
+}
+
+function is_mute {
+ pamixer --get-mute
+}
+
+function send_notification {
+ volume=`get_volume`
+ # Make the bar with the special character ─ (it's not dash -)
+ # https://en.wikipedia.org/wiki/Box-drawing_character
+ bar=$(seq -s "─" $(($volume / 5)) | sed 's/[0-9]//g')
+ # Send the notification
+ dunstify -i nothing -t 1000 -r 2593 -u low " $bar $volume%"
+}
+
+case $1 in
+ up)
+ # Set the volume on (if it was muted)
+ amixer -D pulse set Master on > /dev/null
+ # Up the volume (+ 5%)
+ amixer -D pulse sset Master 5%+ > /dev/null
+ send_notification
+ ;;
+ down)
+ amixer -D pulse set Master on > /dev/null
+ amixer -D pulse sset Master 5%- > /dev/null
+ send_notification
+ ;;
+ mute)
+ # Toggle mute
+ amixer -D pulse set Master 1+ toggle > /dev/null
+ if is_mute ; then
+ dunstify -i nothing -t 1000 -r 2593 -u low " Muted"
+ else
+ send_notification
+ fi
+ ;;
+esac
diff --git a/scripts/installutilities.sh b/scripts/installutilities.sh
new file mode 100755
index 0000000000000000000000000000000000000000..663b8f80d604daf3dd1e4891ee8f01b123995ce1
--- /dev/null
+++ b/scripts/installutilities.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+sudo pacman -Sy alacritty sway swaylock swaybg swayidle wl-clipboard wlroots grim waybar trash-cli gammastep playerctl lxappearance rofi qemu virt-manager git playonlinux udiskie ntfs-3g code breeze-gtk elementary-icon-theme ttf-hack ttf-font-awesome noto-fonts-cjk rsync alsa-lib alsa-oss alsa-utils alsa-tools alsa-utils alsa-firmware alsa-card-profiles lib32-alsa-plugins pulseaudio pulseaudio-alsa pulseaudio-jack fzf php edk2-ovmf firejail light neovim gimp telegram-desktop pcmanfm-gtk3 mpv chromium dunst
diff --git a/scripts/sn b/scripts/sn
new file mode 100755
index 0000000000000000000000000000000000000000..766daa285d01bf315d47a00402040436d02307db
--- /dev/null
+++ b/scripts/sn
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+firejail --net=none spotify